package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;

@Data
@Entity
@Table(name = "daily_agent_unresolved_record")
public class DailyAgentUnresolvedRecordTable extends BaseTable {

    private Long agentId;

    private Float amount;

    private Float cut;

    public static DailyAgentUnresolvedRecordTable getInstance(){
        DailyAgentUnresolvedRecordTable table = new DailyAgentUnresolvedRecordTable();
        table.setAmount(0F);
        table.setCut(0F);
        return table;
    }

}
